Subject: [MEXT] Home Link Operation on p2p links (was Home Link Detection)

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 26 Mar 2008 08:56:07 -0700 (PDT)

Hi Julien,
  An issue that is not covered in RFC 3775 is how to assure what you said: MN is alone on the link between MN and HA. It seems like the bootstrapping drafts also have not addressed this issue even though it was very relevant for them.
  Should this be taken up in mext? Together with the issues Vijay's draft addresses? 

Regards,

Behcet

----- Original Message ----
From: Julien Laganier <[email-masked]>
To: Behcet Sarikaya <[email-masked]>
Cc: Vijay Devarapalli <[email-masked]>; [email-masked]
Sent: Wednesday, March 26, 2008 5:36:10 AM
Subject: Re: [MEXT] Home Link Detection

Behcet,

On Tuesday 25 March 2008, Behcet Sarikaya wrote:
> Julien, your scenario is not according to SDO links. I think that the
> home link operation work item should concentrate on p2t SDO  home
> link operation and should complement previous bootstrapping work.

I don't understand what you mean. More below:

> > This isn't what I had in mind. What I had in mind is:
> >
> > 1) MN would boot up
> > 2) Setup the link:
> >     -  send an RS on the link
> >     -  receives an RA with PIO from the link
> >     -  configures a CoA for the link
> > 3) Run IKEv2:
> >     - receives MIP6_HOME_PREFIX
> > 4) Compare MIP6_HOME_PREFIX and PIO
> >     - same: conclude it's at home
> >     - different: conclude it's not at home
>
> Ok.
> [behcet] Not OK. According to
> http://tools.ietf.org/id/draft-ietf-dime-mip6-split-07.txt IKEv2
> happens with EAP in authentication phase which in SDOs happens when
> immediately MN enters the network. So home prefix assignment occurs
> after CFG_REQUEST is received.

I don't understand why you're bringing in DIME drafts in this 
discussion. DIME stuff shall be discussed in DIME. This discussion is 
about Home Link Detection, i.e. how does the MN knows it's at home. If 
you want to discuss something different, please make sure you change 
the subject line.

Regarding the home prefix, of course it comes as part of a configuration 
payload in the IKEv2 exchange, nobody is discussing that. And, if you 
look at the steps I listed above, this is exactly what I sketched above 
(i.e. MIP6_HOME_PREFIX comes as part of the IKEv2 exchange.)

--julien

_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext